=== debian/changelog ===
ros-rolling-rclcpp-components (15.0.0-1focal) focal; urgency=high

  * Add rclcpp_components::component (#1855 <https://github.com/ros2/rclcpp/issues/1855>)
  * Contributors: Shane Loretz

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-rclcpp-components (14.1.0-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 05 Jan 2022 08:00:00 -0000

ros-rolling-rclcpp-components (14.0.0-1focal) focal; urgency=high

  * Add parameter to configure number of thread (#1708 <https://github.com/ros2/rclcpp/issues/1708>)
  * remove RCLCPP_COMPONENTS_PUBLIC in class ComponentManagerIsolated (#1843 <https://github.com/ros2/rclcpp/issues/1843>)
  * create component_container_isolated (#1781 <https://github.com/ros2/rclcpp/issues/1781>)
  * Remove author by request (#1818 <https://github.com/ros2/rclcpp/issues/1818>)
  * Update maintainers (#1817 <https://github.com/ros2/rclcpp/issues/1817>)
  * Suppress clang dead-store warnings in the benchmarks. (#1802 <https://github.com/ros2/rclcpp/issues/1802>)
  * Contributors: Chris Lalancette, Daisuke Nishimatsu, Jacob Perron, gezp

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 17 Dec 2021 08:00:00 -0000

ros-rolling-rclcpp-components (13.1.0-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 18 Oct 2021 07:00:00 -0000

ros-rolling-rclcpp-components (13.0.0-1focal) focal; urgency=high

  * Update client API to be able to remove pending requests. (#1734 <https://github.com/ros2/rclcpp/issues/1734>)
  * Contributors: Ivan Santiago Paunovic

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 23 Aug 2021 07:00:00 -0000

ros-rolling-rclcpp-components (12.0.0-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 26 Jul 2021 07:00:00 -0000

ros-rolling-rclcpp-components (11.2.0-1focal) focal; urgency=high

  * Deprecate method names that use CamelCase in rclcpp_components. (#1716 <https://github.com/ros2/rclcpp/issues/1716>)
  * Contributors: Rebecca Butler

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 21 Jul 2021 07:00:00 -0000

ros-rolling-rclcpp-components (11.1.0-1focal) focal; urgency=high

  * Added a hook to generate node options in ComponentManager (#1702 <https://github.com/ros2/rclcpp/issues/1702>)
  * Contributors: Rebecca Butler

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 13 Jul 2021 07:00:00 -0000

ros-rolling-rclcpp-components (11.0.0-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 18 May 2021 07:00:00 -0000

ros-rolling-rclcpp-components (10.0.0-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 11 May 2021 07:00:00 -0000

ros-rolling-rclcpp-components (9.0.2-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 14 Apr 2021 07:00:00 -0000

ros-rolling-rclcpp-components (9.0.1-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 12 Apr 2021 07:00:00 -0000

ros-rolling-rclcpp-components (9.0.0-1focal) focal; urgency=high

  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#1615 <https://github.com/ros2/rclcpp/issues/1615>)
  * Contributors: shonigmann

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 06 Apr 2021 07:00:00 -0000

ros-rolling-rclcpp-components (8.2.0-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 31 Mar 2021 07:00:00 -0000

ros-rolling-rclcpp-components (8.1.0-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 25 Mar 2021 07:00:00 -0000

ros-rolling-rclcpp-components (8.0.0-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 23 Mar 2021 07:00:00 -0000

ros-rolling-rclcpp-components (7.0.1-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 22 Mar 2021 07:00:00 -0000

ros-rolling-rclcpp-components (7.0.0-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 18 Mar 2021 07:00:00 -0000

ros-rolling-rclcpp-components (6.3.1-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 08 Feb 2021 08:00:00 -0000

ros-rolling-rclcpp-components (6.3.0-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 25 Jan 2021 08:00:00 -0000

ros-rolling-rclcpp-components (6.2.0-1focal) focal; urgency=high

  * Use std compliant non-method std::filesystem::exists function (#1502 <https://github.com/ros2/rclcpp/issues/1502>)
  * Fix string literal warnings (#1442 <https://github.com/ros2/rclcpp/issues/1442>)
  * Contributors: Audrow Nash, Josh Langsfeld

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 08 Jan 2021 08:00:00 -0000

ros-rolling-rclcpp-components (6.1.0-1focal) focal; urgency=high

  * Update QDs to QL 1 (#1477 <https://github.com/ros2/rclcpp/issues/1477>)
  * Add benchmarks for components (#1476 <https://github.com/ros2/rclcpp/issues/1476>)
  * Contributors: Scott K Logan, Stephen Brawner

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 10 Dec 2020 08:00:00 -0000

ros-rolling-rclcpp-components (6.0.0-1focal) focal; urgency=high

  * Bump rclcpp packages to Quality Level 2 (#1445 <https://github.com/ros2/rclcpp/issues/1445>)
  * Contributors: Louise Poubel

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 18 Nov 2020 08:00:00 -0000

ros-rolling-rclcpp-components (5.1.0-1focal) focal; urgency=high

  * Update maintainers (#1384 <https://github.com/ros2/rclcpp/issues/1384>)
  * ComponentManager: switch off parameter services and event publisher (#1333 <https://github.com/ros2/rclcpp/issues/1333>)
  * Contributors: Ivan Santiago Paunovic, Martijn Buijs

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 02 Nov 2020 08:00:00 -0000

ros-rolling-rclcpp-components (5.0.0-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Fri, 18 Sep 2020 07:00:00 -0000


