=== debian/control ===
Source: ros-rolling-rclcpp-components
Section: misc
Priority: optional
Maintainer: Ivan Paunovic <ivanpauno@ekumenlabs.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake-google-benchmark <!nocheck>, ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-cmake-ros, ros-rolling-ament-index-cpp, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-class-loader, ros-rolling-composition-interfaces, ros-rolling-launch-testing <!nocheck>, ros-rolling-rclcpp, ros-rolling-rcpputils, ros-rolling-std-msgs <!nocheck>, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rclcpp-components
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-ament-index-cpp, ros-rolling-class-loader, ros-rolling-composition-interfaces, ros-rolling-rclcpp, ros-rolling-ros-workspace
Description: Package containing tools for dynamically loadable components
